Responder 
 
Avaliação do Tópico:
  • 0 Votos - 0 Média
  • 1
  • 2
  • 3
  • 4
  • 5
Gravar áudio
26/07/2007, 19:39
Resposta: #1
Gravar áudio
Estou tentando usar o software Songs 0.3 mas sempre que tento escutar a música que gravei aparece o seguinte erro:
Código:
Audio
/dev/dsp: Dispositivo ou recurso está ocupado
Já fechei tudo que utiliza audio (exaile, youtube) e mesmo assim o erro persiste!
O Audacity não funciona aqui...
Quando abro o Audacity aparece o seguinte erro
http://img230.imageshack.us/my.php?image=errohj9.jpg

Alguém pode me ajudar?

Obrigado!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 00:14
Resposta: #2
 
Reveja o sistema de som como está, verifique se está instalado os pacotes:
# apt-get install alsa-base alsa-oss alsa-tools alsa-utils linux-sound-base
# aptitude install mpg123 mpg321 vorbis-tools sox oss-compat libesd-alsa0

carregue esses modulos:
# modprobe snd_mixer_oss
# modprobe snd_pcm_oss

veja se está habilitado o esd no configurador do sons gnome-sound-properties veja tela abaixo.
$ gnome-sound-properties

[Imagem: foto-91.jpg]

certifique-se tb de que no seletor de multimídia tb está definido o alsa:
$ gstreamer-properties

[Imagem: foto-92.jpg]


agora faça o teste se os programas abrem normal.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 09:18
Resposta: #3
 
Tudo instalado e configurado como você disse dmatrix!
O mesmo erro persiste nos 2 programas!
=/

Usuário Linux #470577
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 09:24
Resposta: #4
 
faça um teste, digite:
# killall esd

agora teste novamente.

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 12:58
Resposta: #5
 
nada =/
mesmo erro!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 15:47
Resposta: #6
 
estranho...tá usando gnome mesmo né?
veja se descobre qual programa está utilizando o dispositivo com:
# fuser /dev/dsp

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 18:04
Resposta: #7
 
Uso gnome...
Este comando não retorna nada!

Abraços!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
30/07/2007, 22:25
Resposta: #8
 
veja se o dsp possue uma permissão e grupo audio assim:
$ ls -l /dev/dsp
crw-rw---- 1 root audio 14, 3 2007-07-30 00:49 /dev/dsp
veja se seu usuário faz parte do grupo audio tb:
$ id
uid=1000(dmatrix) gid=1000(dmatrix) grupos=20(dialout),24(cdrom),25(floppy),29(audio),30(dip),44(video),46(plugdev),​105(hal),1000(dmatrix)

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
31/07/2007, 07:49
Resposta: #9
 
dmatrix, só por curiosidade... o que o comando fuser faz?

saídas:
Código:
[email protected]:~$ ls -l /dev/dsp
crw-rw---- 1 root audio 14, 3 2007-07-31 07:38 /dev/dsp

[email protected]:~$ id
uid=1000(wiltave) gid=1000(wiltave) grupos=20(dialout),24(cdrom),25(floppy),29(audio),30(dip),44(video),46(plugdev),​106(netdev),109(powerdev),1000(wiltave),1002(veiga)

Mesmo como root os erros acontecem!

Obrigado! Abraços!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
31/07/2007, 16:32
Resposta: #10
 
O comando fuser identifica programas ou processos que estejam utilizando arquivos, dispositivos e sockets.
O Audacity requer exclusividade no uso do dsp, então acho melhor alterar direto no atalho dele adicionando o aoss:
$ aoss audacity

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
31/07/2007, 17:30
Resposta: #11
 
Ok!
Não está mais dando aquele erro quando o Audacity inicia mas agora clico pra gravar e o som do microfone sai na caixa de som mas não grava na faixa. =/
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
31/07/2007, 18:55
Resposta: #12
 
wiltave Escreveu:Ok!
Não está mais dando aquele erro quando o Audacity inicia mas agora clico pra gravar e o som do microfone sai na caixa de som mas não grava na faixa. =/
Estou sem microfone aqui, mas na tela do audacity há uma barra de mixagem que possue controles de volume de reprodução e gravação e há tb um combo de seleção de qual dispositivo utilizar, neste vc deve selecionar o de microfone. Há ainda uma configuração a ser verificada, se tá saindo nas caixas acho que deve estar certo mas dá uma olhada nas propriedades do mixer do sistema deve estar com a opção de captura/microfone habilitada no lado da gravação. Veja telas anexas:
[Imagem: foto-53.jpg]


[Imagem: foto-54.jpg]

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/08/2007, 08:28
Resposta: #13
 
O problema era no mixer mesmo!
Só por curiosidade... Qual o comando para chamar o mixer via terminal já que não uso o ícone na minha barra Alegre
Obrigado mais uma vez dmatrix!
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/08/2007, 16:49
Resposta: #14
 
$ gnome-volume-control

"Na caixa dizia: Requer MS Windows ou superior, então eu instalei Debian/GNU
Linux!"

.
Antes de postar use a busca e veja o Wiki.
Busca do FD
Wiki do FD
Visitar o website do usuário Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
01/08/2007, 17:47
Resposta: #15
 
Vlw!
Obrigado! Alegre
Encontrar todas as respostas deste usuário
Citar esta mensagem em uma resposta
Responder 


Ir ao Fórum:


Usuários visualizando este tópico: 1 Visitantes

Entre em Contato | Fórum Debian | Voltar ao Topo | Voltar ao Conteúdo | Modo Leve (Arquivo) | Feeds RSS